Get detailed product information
curl --request GET \
--url https://api-beta.pepay.io/api/commerce/products/{productId} \
--header 'x-commerce-api-key: <api-key>'import requests
url = "https://api-beta.pepay.io/api/commerce/products/{productId}"
headers = {"x-commerce-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-commerce-api-key': '<api-key>'}};
fetch('https://api-beta.pepay.io/api/commerce/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"productId": "B00KFP6NHO",
"asin": "B00KFP6NHO",
"title": "Nuby Garden Fresh Fruitsicle Frozen Pop Tray",
"price": 7.99,
"originalPrice": 8.99,
"images": [
"https://images-na.ssl-images-amazon.com/images/I/61K0YbuLi-L.jpg",
"https://images-na.ssl-images-amazon.com/images/I/81KtOn8ddTL.jpg"
],
"mainImage": "https://images-na.ssl-images-amazon.com/images/I/61K0YbuLi-L.jpg",
"description": "Size:1 Nuby's Garden Fresh Fruitsicle Frozen Popsicle Tray...",
"bullets": [
"Includes four freeze-and-feed popsicle molds with handles shaped perfectly for little hands",
"Perfect for fresh homemade puree popsicles"
],
"productDetails": [
"Product Dimensions: 5.8 x 5.8 x 4 inches ; 7.8 ounces",
"Item model number: 5438"
],
"brand": "Nuby",
"categories": [
"Home & Kitchen",
"Kitchen & Dining",
"Ice Pop Molds"
],
"rating": 4.4,
"reviewCount": 829,
"questionCount": 44,
"variants": [
{
"variant_specifics": [
{
"dimension": "Size",
"value": "2"
}
],
"product_id": "B00Q3H18EQ"
}
],
"variantSpecifics": [
{
"dimension": "Size",
"value": "1"
}
],
"dimensions": {
"weight": {
"amount": 8.5,
"unit": "ounces"
},
"size": {
"width": {
"amount": 4,
"unit": "inches"
},
"depth": {
"amount": 5.8,
"unit": "inches"
},
"length": {
"amount": 5.8,
"unit": "inches"
}
}
},
"epids": [
{
"type": "UPC",
"value": "048526054381"
},
{
"type": "EAN",
"value": "0048526054381"
}
],
"epidsMap": {
"MPN": "5438",
"UPC": "048526054381",
"EAN": "0048526054381"
},
"retailer": "amazon",
"shipPrice": 0,
"fresh": false,
"pantry": false,
"handmade": false,
"digital": false,
"buyapiHint": true,
"availability": "available",
"numSales": 10000,
"numOffers": 10,
"giftCard": false,
"addon": false,
"parentAsin": "B0DGLW52K5",
"customizable": false,
"digitalSubscription": false,
"blankBox": false
},
"meta": {
"timestamp": 1738240496
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters",
"details": [
{
"field": "productId",
"message": "Invalid product ID format"
}
]
}
}{
"success": false,
"error": {
"code": "COMMERCE_API_KEY_MISSING",
"message": "Commerce API key required"
}
}{
"success": false,
"error": {
"code": "COMMERCE_API_KEY_SUSPENDED",
"message": "Commerce API key suspended"
}
}{
"success": false,
"error": {
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many product requests. Please wait before trying again.",
"retryAfter": 60
}
}{
"success": false,
"error": {
"code": "COMMERCE_API_ERROR",
"message": "Unable to retrieve product details"
}
}Commerce
Get detailed product information
Retrieve comprehensive details for a specific product including full description, specifications, images, pricing, availability, and customer reviews.
This endpoint provides more detailed information than the search results.
GET
/
api
/
commerce
/
products
/
{productId}
Get detailed product information
Authorizations
commerceApiKeymerchantApiKey
Legacy alias for commerce-scoped API keys. Prefer x-api-key with scope=commerce.
Path Parameters
Product identifier (e.g., ASIN for Amazon)
Required string length:
1 - 100Pattern:
^[A-Za-z0-9\-_]+$Query Parameters
Retailer to fetch from
Available options:
amazon, walmart Was this page helpful?
⌘I

